reversePathDirection ();		

function reversePathDirection (){
			app.beginUndoGroup("Reverse Shape Path Direction");
			var curComp = app.project.activeItem;
			if(curComp != null && curComp instanceof CompItem){
				var selectedLayers = curComp.selectedLayers;
				if(selectedLayers.length > 0){
					for(var i = 0; i < selectedLayers.length; i++){
						if(selectedLayers[i] instanceof ShapeLayer){

							getShapePath(selectedLayers[i].property("ADBE Root Vectors Group"));
						}
					}
				} else {
					alert("Select a shape layer at least.", "Shape Path Direction Toggle");
				}
			} else {
				alert("Select a composition first.", "Shape Path Direction Toggle");
			}
			app.endUndoGroup();
		}
 
function getShapePath(theProp){
			try{

				var propsNum = theProp.numProperties;

				for(var i = 1; i <= propsNum; i++){

					if(theProp.property(i).matchName == "ADBE Vector Shape - Group" ||theProp.property(i).matchName == "ADBE Vector Shape - Rect" ||theProp.property(i).matchName == "ADBE Vector Shape - Ellipse" ||theProp.property(i).matchName == "ADBE Vector Shape - Star"){
						if(theProp.property(i).property("ADBE Vector Shape Direction").value == 1 || theProp.property(i).property("ADBE Vector Shape Direction").value == 2){
							theProp.property(i).property("ADBE Vector Shape Direction").setValue(3);
						} else if(theProp.property(i).property("ADBE Vector Shape Direction").value == 3){
							theProp.property(i).property("ADBE Vector Shape Direction").setValue(2);
						}
					}
					if(theProp.property(i).matchName == "ADBE Vector Group"){
						getShapePath(theProp.property(i).property("ADBE Vectors Group"));
					}
				}
			} catch(err){
				alert("Error at line # " + err.line.toString() + "\r" + err.toString());
			}
		}