		var keyState = ScriptUI.environment.keyboardState;
		var alt,shift;
		alt= (keyState.altKey) ? true:false;
		shift= (keyState.shiftKey) ? true:false;
		addTrim(0,alt,shift);

		//trim function//
		function addTrim(mode,alt,offset){
			
			app.beginUndoGroup("Mid out");
			var myComp = app.project.activeItem;
			var seLayers=myComp.selectedLayers;
			
			//var copies =settingObj.copies;
			
			
			
			for(var i=0;i<seLayers.length;i++){
				SetMidOut(seLayers[i],myComp,alt,offset);
			}
			app.endUndoGroup();

		}
		
		function SetMidOut(seLayers,myComp,alt,offset){
			var frames =10;
			var offsetRange = 100;
			var EaseIn =50;
			var EaseOut = 50;
			
			var trim=seLayers.property("ADBE Root Vectors Group").addProperty("ADBE Vector Filter - Trim");
			var End=trim.property("End");
			var Start=trim.property(1);
			var Offset=trim.property(3);
			var myKey = new KeyframeEase(0, EaseOut);
			//add key

			End.addKey(myComp.time);
			End.addKey(myComp.time+frames*myComp.frameDuration);

			//set value
			End.setValueAtKey(1, 100);
			End.setValueAtKey(2, 0);
			
			if(alt ==true){
				Start.addKey(myComp.time);
				Start.addKey(myComp.time+frames *myComp.frameDuration);
				
				Start.setValueAtKey(1, 0);
				Start.setValueAtKey(2, 50);
				End.setValueAtKey(1, 100);
				End.setValueAtKey(2, 50);
				
				End.setTemporalEaseAtKey(2, [myKey],[myKey]);
				Start.setTemporalEaseAtKey(2, [myKey],[myKey]); 
			}else{
				
				End.setValueAtKey(1, 100);
				End.setValueAtKey(2, 0);
				Offset.expression="thisProperty.propertyGroup(1).end*(-1.8) +value;";
				End.setTemporalEaseAtKey(1, [myKey],[myKey]);
			}

			
		}