		var keyState = ScriptUI.environment.keyboardState;
		var alt,shift;
		alt= (keyState.altKey) ? true:false;
		shift= (keyState.shiftKey) ? true:false;
		addTrim(0,alt,shift);

		//trim function//
		function addTrim(mode,alt,offset){
			
			app.beginUndoGroup("Equal out");
			var myComp = app.project.activeItem;
			var seLayers=myComp.selectedLayers;
			
			//var copies =settingObj.copies;
			var copies =parseInt( prompt("Copies", "4") );
			if(isNaN(copies) ==true)copies =4;
			
			
			for(var i=0;i<seLayers.length;i++){
				SetEqualIn(seLayers[i],myComp,alt,offset,"out",copies);
			}
			app.endUndoGroup();

		}
		
		function SetEqualIn(seLayer,myComp,alt,offset,inOut,copies){
			var frames =10;
			var offsetRange = 100;
			var EaseIn =50;
			var EaseOut = 50;
			
			var prop = seLayer.property("ADBE Root Vectors Group").property(1);
			var trim = prop.property("ADBE Vectors Group").addProperty("ADBE Vector Filter - Trim");
			var End, Start,Offset;
			var myKey = new KeyframeEase(0, EaseIn);
			
			
			//var copies =parseInt();
			for(var i =0; i<copies-1; i++ ){
				prop = prop.duplicate();
			}
			
			var ctrlProp = seLayer.property("ADBE Root Vectors Group").property(copies);
			
			var ctrlTrim = ctrlProp.property("ADBE Vectors Group").property("ADBE Vector Filter - Trim");
			
			
			ctrlTrim.name = 'trim control';
			End = ctrlTrim.property("End");
			Offset =ctrlTrim.property(3);
			End.addKey(myComp.time);
			End.addKey(myComp.time+frames*myComp.frameDuration);
			if(inOut =="in"){
				End.setValueAtKey(1, 0);
				End.setValueAtKey(2, 100/copies);
			}else{
				End.setValueAtKey(1, 100/copies);
				End.setValueAtKey(2, 0);
			}
			
			Offset.expression= 'content("'+ctrlProp.name+'").content("'+ctrlTrim.name+'").end*(-1.8)+value';
			
			End.setTemporalEaseAtKey(1, [myKey],[myKey]);
			
			for(var j =1; j<copies; j++ ){
				prop = seLayer.property("ADBE Root Vectors Group").property(j);
				trim = prop.property("ADBE Vectors Group").property("ADBE Vector Filter - Trim");
				End =trim.property("End");
				Start =trim.property("Start");
				Offset =trim.property(3);
				
				Start.expression= 'content("'+ctrlProp.name+'").content("'+ctrlTrim.name+'").start';
				End.expression= 'content("'+ctrlProp.name+'").content("'+ctrlTrim.name+'").end';
				Offset.expression= 'content("'+ctrlProp.name+'").content("'+ctrlTrim.name+'").offset+'+(360/copies)*(copies-j)+';';
				
			}

			
		}